Subject: Re: bug#47868: 28.0.50; [native-comp] vertico package doesn't work when loading the corresponding eln file

From: Andrea Corallo <[email-masked]>
Date: Sun, 18 Apr 2021 18:32:26 +0000

Tassilo Horn <[email-masked]> writes:

> The GNU ELPA package vertico shows possible completion candidates in an
> overlay during minibuffer completion.  I've just noticed that this
> doesn't work properly when the generated eln file is loaded rather than
> the el or elc file.
>
> By "not working properly" I mean that frequently either the minibuffer
> prompt is displayed or the overlay showing the candidates but not both.
> Sometimes also both, but then the cursor is blinking at the end of the
> candidates overlay rather than immediately behind the input.  Also the
> candidate count overlay seems to be only shown if the prompt is also
> there but not the canditates overlay.  Here's a screenshot:
>
>
>
> Here's a reproduction recipe:
>
>   0. Build the current native-comp branch, HEAD is
>      af0af63742fd2383dae5627d0ce8167517fd4700 right now.
>      Install the vertico GNU ELPA package and wait for its async
>      native compilation to be finished.
>   1. emacs -Q
>   2. Load the ELN file (which is the only one I have, so I'm sure it's
>      the right one for my current emacs):
>      M-x load-file RET
>      ~/.emacs.d/eln-cache/28.0.50-bc702aed/vertico-6eb6690f-90eaf131.eln
>      RET
>   3. M-x vertico-mode RET
>   4. Try C-x C-b or C-x C-f to see the problem.

Hi Tassilo,

thanks for reporting this.

I think it would be very helpful to know which one is the Emacs function
that once gets called misbehaves.

Thanks

  Andrea

PS one should just load the .elc file to obtain the corresponding .eln
loaded.